Subject: bug#75930: 30.0.92; Setting default frame background color messes up mouse pointer

From: [email-masked]
Date: Wed, 29 Jan 2025 23:25:47 +0100

Eli Zaretskii <[email-masked]> writes:

> Thanks.  I wonder whether this is window-manager specific, even if not
> exwm-specific

I installed the GDM login manager and the gnome-shell desktop
environment to test your hypothesis. I observe the same behaviour there.

Even if it was "window-manager specific" as you say, I think that is a
backwards way of thinking about it. This is happening in a *minimal*
configuration where Emacs is running directly under X.

Having third-party programs hide the issue by taking control over the
theming of the mouse pointer shouldn't be the base case here.